org.jboss.netty.handler.codec.spdy

## Class SpdySessionStatus

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdySessionStatus

All Implemented Interfaces:
  Comparable<SpdySessionStatus>

    public class SpdySessionStatus
    extends Object
    implements Comparable<SpdySessionStatus>

The SPDY session status code and its description.

### Field Summary

Fields
`static SpdySessionStatus` `INTERNAL_ERROR` 11 Internal Error
`static SpdySessionStatus` `OK` 0 OK
`static SpdySessionStatus` `PROTOCOL_ERROR` 1 Protocol Error

### Constructor Summary

Constructors
Constructor and Description
`SpdySessionStatus(int code, String statusPhrase)` Creates a new instance with the specified `code` and its `statusPhrase`.

### Method Summary

Methods
`int` `compareTo(SpdySessionStatus o)`
`boolean` `equals(Object o)`
`int` `getCode()` Returns the code of this status.
`String` `getStatusPhrase()` Returns the status phrase of this status.
`int` `hashCode()`
`String` `toString()`
`static SpdySessionStatus` `valueOf(int code)` Returns the `SpdySessionStatus` represented by the specified code.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OK

    public static final SpdySessionStatus OK

0 OK

#### PROTOCOL_ERROR

    public static final SpdySessionStatus PROTOCOL_ERROR

1 Protocol Error

#### INTERNAL_ERROR

    public static final SpdySessionStatus INTERNAL_ERROR

11 Internal Error

### Constructor Detail

#### SpdySessionStatus

    public SpdySessionStatus(int code,
                     String statusPhrase)

Creates a new instance with the specified `code` and its `statusPhrase`.

### Method Detail

#### valueOf

    public static SpdySessionStatus valueOf(int code)

Returns the `SpdySessionStatus` represented by the specified code. If the specified code is a defined SPDY status code, a cached instance will be returned. Otherwise, a new instance will be returned.

#### getCode

    public int getCode()

Returns the code of this status.

#### getStatusPhrase

    public String getStatusPhrase()

Returns the status phrase of this status.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(SpdySessionStatus o)

Specified by:
  `compareTo` in interface `Comparable<SpdySessionStatus>`